echo off

set EXE_FILE=not_defined
if EXIST ..\..\setup\hpzscr01.exe SET EXE_FILE=..\..\setup\hpzscr01.exe
if EXIST hpzscr01.exe SET EXE_FILE=hpzscr01.exe
if "%EXE_FILE%" == "not_defined" goto MISSING_SCRUBBER_EXE

set FILE_CDA=not_defined
if EXIST ..\..\setup\hposcr06.dat SET FILE_CDA=hposcr06.dat
if EXIST hposcr06.dat SET FILE_CDA=hposcr06.dat

set FILE_CDB=not_defined
if EXIST ..\..\setup\hposcr07.dat SET FILE_CDB=hposcr07.dat
if EXIST hposcr07.dat SET FILE_CDB=hposcr07.dat



rem !!!!!!! If a level is specified, delete all the trigger/tmp files
if not "%1" == "" del %TEMP%\AiO*.tmp

rem !!!!!!! If a level is specified, goto the appropriate level
if "%1" == "1" goto LEVEL1
if "%1" == "2" goto LEVEL2
if "%1" == "3" goto LEVEL3
if "%1" == "4" goto LEVEL4

if EXIST %TEMP%\AiO1.tmp goto LEVEL2
rem !!!!!!!!!!!!!!!! BEGIN 1st Level
:LEVEL1
echo "***** Executing Level 1 *****"

start /w %EXE_FILE% -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -nocopytotemp -d MsiUninstaller,TaskUninstaller,RemoveProgramUninstaller,ScannerUninstaller,AiONetworkDriveUninstaller,PrinterUninstaller,DriverUninstaller,ServiceUninstaller,PortUninstaller,RsmUninstaller,RegistryUninstaller,FileUninstaller,MonitorUninstaller,ProcessShutdown,WindowShutdown

copy uninstall.bat %TEMP%\AiO1.tmp
goto EXIT
rem !!!!!!!!!!!!!!!! END 1st Level


rem !!!!!!!!!!!!!!!! BEGIN 2nd Level
:LEVEL2
if EXIST %TEMP%\AiO2.tmp goto LEVEL3
echo "***** Executing Level 2 *****"
start /w %EXE_FILE% -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -nocopytotemp

copy uninstall.bat %TEMP%\AiO2.tmp
goto EXIT
rem !!!!!!!!!!!!!!!! END 2nd Level


rem !!!!!!!!!!!!!!!! BEGIN 3rd Level
:LEVEL3
if EXIST %TEMP%\AiO3.tmp goto LEVEL4
echo "***** Executing Level 3 *****"

if "%FILE_CDA%" == "not_defined" goto DAT_CDA
start /w %EXE_FILE% -datfile %FILE_CDA% -unattended -showdisconnect -nocopytotemp -noreboot

:DAT_CDA

if "%FILE_CDB%" == "not_defined" goto DAT_CDB
start /w %EXE_FILE% -datfile %FILE_CDB% -unattended -showdisconnect -nocopytotemp -noreboot

:DAT_CDB

start /w %EXE_FILE% -datfile hpqscr01.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud01.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud04.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud05.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud06.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud08.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqhsc01.dat -unattended -nocopytotemp -forcereboot

copy uninstall.bat %TEMP%\AiO3.tmp
goto EXIT
rem !!!!!!!!!!!!!!!! END 3rd Level

	
rem !!!!!!!!!!!!!!!! BEGIN 4th Level
:LEVEL4
echo "***** Executing Level 4 *****"

start /w %EXE_FILE% -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -nocopytotemp -noreboot
	
start /w %EXE_FILE% -datfile hpqscr01.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud01.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud04.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud05.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud06.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqbud08.dat -unattended -nocopytotemp -noreboot

start /w %EXE_FILE% -datfile hpqhsc01.dat -unattended -nocopytotemp -noreboot
		
start /w %EXE_FILE% -datfile hposcr3rdp.dat -unattended -nocopytotemp -forcereboot

goto EXIT
rem !!!!!!!!!!!!!!!! END 4th Level

:DAT_CDA
echo "**** Uninstall file not found: hposcr??.dat ****"
goto EXIT

:MISSING_SCRUBBER_EXE
echo "**** Uninstall file not found: hpzscr01.exe ****"
goto EXIT

:EXIT
